* ch04_all.do
* Measures of disease frequency- all calculations
*
	clear
	version 10
	set more off 
	set memory 20m
	cd c:\ver2\ch04\data		/* this line is computer dependent */
	capture log close ch04_all
	log using ch04_all, name(ch04_all) replace 

*************************************************************************
* Ex 4.3 Confidence intervals for risks and rates
*************************************************************************

use dairy_dis, clear
* drop all but the Herd=1 data
	keep if herd==1
	* reformat the Johne's and leukosis variables
		format johnes leukosis %6.4f
	* compute the approximate confidence intervals
		ci leukosis
		ci johnes
	* compute the exact binomial confidence intervals
		ci leukosis, binomial
		ci johnes, binomial
	* compute incidence rates and exact confidence intervals
		gen age=lact+2
		ci leukosis, poisson exposure(age)
		ci johnes, poisson exposure(age)

*************************************************************************
* Ex 4.4 - 4.5 Standardized rates
*************************************************************************

use stdize.dta, clear
	* compute indirect standardized rates
		istdize  totcases hy type using stdize_ind.dta , by(region) rate(rate 0.06) print
	* compute indirect standardized rates
		dstdize cases hy type , by(region) using(stdize_dir.dta)
